using ShipyardDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.ViewModels
{
    public class ShopViewModel:IShopModel
    {
        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Дата открытия")]
        public DateTime DateOpen { get; set; } = DateTime.Now;
        [DisplayName("Вместимость магазина")]
        public int Capacity { get; set; }
        public Dictionary<int, (IShipModel, int)> ShopShips { get; set; } = new();
        public int Id { get; set; }
    }
}
